// 同步模块，配置载波频率(发射和接受同频，半双工)
// 杭州秒寻科技有限公司
// 周涛
// 2023-11-18
// 注意：这部分代码为厂家提供，没做修改，仅需要修改三个宏定义
// #define SYNC_FREQ_DEVIATION 10    // 载波偏移
// #define SYNC_FREQ_SYMBOL_RATE 9.6 // 符号率
// #define SYNC_FREQ_XTAL_PPM 5      // 晶振抖动

#ifndef SYNCFREQ_H
#define SYNCFREQ_H

#include "sysdef.h"

// 供外部使用接口
void sync_freq_config_center_freq(uint32 dwFreq);
uint8 sync_freq_get_carrier_id();

// 通过通道号已经通道间隔配置载波频率
uint8 sync_freq_config_carrier_freq(uint8 byChannelId, uint8 byFreqSpace);
void sync_freq_config_channel_id(uint8 byChannelId);
void sync_freq_config_freq_space(uint8 byFreqSpace);

// 内部使用接口
void sync_freq_config(FREQ_CFG *freq); // 配置载波频率
void sync_freq_set_div_value(unsigned int freq);

#endif
